Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.font
Class FontEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.beanexplorer.editors.CustomEditorSupport
              ru.biosoft.graphics.font.FontEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor, com.beanexplorer.editors.PropertyEditorEx

public class FontEditor
extends com.beanexplorer.editors.CustomEditorSupport

Field Summary

Fields inherited from class com.beanexplorer.editors.CustomEditorSupport
`bean, descriptor`

Constructor Summary
`FontEditor()`

Method Summary
`java.awt.Component` | `getCustomEditor()`
`java.awt.Component` | `getCustomRenderer(java.awt.Component parent, boolean isSelected, boolean hasFocus)`
`protected java.lang.Object` | `processValue()` This method should return Object that is result of editing in custom editor.

Methods inherited from class com.beanexplorer.editors.CustomEditorSupport
`actionPerformed, getBean, getCustomEditor, getDescriptor, isPaintable, setBean, setColor, setDescriptor, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getJavaInitializationString, getTags, getValue, paintValue, removePropertyChangeListener, setAsText, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getAsText, getJavaInitializationString, getTags, getValue, paintValue, removePropertyChangeListener, setAsText, setValue`

Constructor Detail

### FontEditor

    public FontEditor()

Method Detail

### getCustomEditor

    public java.awt.Component getCustomEditor()

### getCustomRenderer

    public java.awt.Component getCustomRenderer(java.awt.Component parent,
                                                boolean isSelected,
                                                boolean hasFocus)

### processValue

    protected java.lang.Object processValue()

  This method should return Object that is result of editing in custom editor.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.